Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.oslc4j.provider.json4j
Class OslcRdfJsonArrayProvider

    java.lang.Object
      org.eclipse.lyo.oslc4j.provider.json4j.AbstractOslcRdfJsonProvider
          org.eclipse.lyo.oslc4j.provider.json4j.OslcRdfJsonArrayProvider

All Implemented Interfaces:
  javax.ws.rs.ext.MessageBodyReader<Object[]>, javax.ws.rs.ext.MessageBodyWriter<Object[]>

Direct Known Subclasses:
  OslcSimpleRdfJsonArrayProvider

    @Provider
    public class OslcRdfJsonArrayProvider

extends AbstractOslcRdfJsonProvider
implements javax.ws.rs.ext.MessageBodyReader<Object[]>, javax.ws.rs.ext.MessageBodyWriter<Object[]>

Field Summary

Fields inherited from class org.eclipse.lyo.oslc4j.provider.json4j.AbstractOslcRdfJsonProvider
`httpServletRequest`

Constructor Summary
`OslcRdfJsonArrayProvider()`

Method Summary
`long` | `getSize(Object[] objects, Class<?> type, Type genericType, Annotation[] annotation, javax.ws.rs.core.MediaType mediaType)`
`boolean` | `isReadable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
`boolean` | `isWriteable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
`Object[]` | `readFrom(Class<Object[]> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,String> map, InputStream inputStream)`
`void` | `writeTo(Object[] objects, Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,Object> map, OutputStream outputStream)`

Methods inherited from class org.eclipse.lyo.oslc4j.provider.json4j.AbstractOslcRdfJsonProvider
`buildBadRequestResponse, isOslcQuery, isReadable, isWriteable, readFrom, writeTo, writeTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OslcRdfJsonArrayProvider

    public OslcRdfJsonArrayProvider()

Method Detail

### getSize

    public long getSize(Object[] objects,
                        Class<?> type,
                        Type genericType,
                        Annotation[] annotation,
                        javax.ws.rs.core.MediaType mediaType)

  Specified by:
    `getSize` in interface `javax.ws.rs.ext.MessageBodyWriter<Object[]>`

### isWriteable

    public boolean isWriteable(Class<?> type,
                               Type genericType,
                               Annotation[] annotations,
                               javax.ws.rs.core.MediaType mediaType)

  Specified by:
    `isWriteable` in interface `javax.ws.rs.ext.MessageBodyWriter<Object[]>`

### writeTo

    public void writeTo(Object[] objects,
                        Class<?> type,
                        Type genericType,
                        Annotation[] annotations,
                        javax.ws.rs.core.MediaType mediaType,
                        javax.ws.rs.core.MultivaluedMap<String,Object> map,
                        OutputStream outputStream)
                 throws IOException,
                        javax.ws.rs.WebApplicationException

  Specified by:
    `writeTo` in interface `javax.ws.rs.ext.MessageBodyWriter<Object[]>`
  Throws:
    `IOException`
    `javax.ws.rs.WebApplicationException`

### isReadable

    public boolean isReadable(Class<?> type,
                              Type genericType,
                              Annotation[] annotations,
                              javax.ws.rs.core.MediaType mediaType)

  Specified by:
    `isReadable` in interface `javax.ws.rs.ext.MessageBodyReader<Object[]>`

### readFrom

    public Object[] readFrom(Class<Object[]> type,
                             Type genericType,
                             Annotation[] annotations,
                             javax.ws.rs.core.MediaType mediaType,
                             javax.ws.rs.core.MultivaluedMap<String,String> map,
                             InputStream inputStream)
                      throws IOException,
                             javax.ws.rs.WebApplicationException

  Specified by:
    `readFrom` in interface `javax.ws.rs.ext.MessageBodyReader<Object[]>`
  Throws:
    `IOException`
    `javax.ws.rs.WebApplicationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.